Bug 217147 - warning message due to trailing slash in fs.sh:isMounted()
warning message due to trailing slash in fs.sh:isMounted()
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-24 06:57 EST by Navid Sheikhol-Eslami
Modified: 2009-04-16 16:21 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007:149
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 12:15:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch that makes the path comparison a bit smarter (696 bytes, patch)
2006-11-24 06:57 EST, Navid Sheikhol-Eslami
no flags Details | Diff

  None (edit)
Description Navid Sheikhol-Eslami 2006-11-24 06:57:25 EST
Description of problem:

src/resources/fs.sh is repeatedly printing out a confusing message in function
isMounted() when comparing two paths:

<warning> Device /dev/mapper/VolGroup01-LogVol01 is mounted on /mnt/storage
instead of /mnt/storage/

Version-Release number of selected component (if applicable):

rgmanager-1.9.54-1

How reproducible:

Specify a path with a trailing slash as a mount-point for a file-system resource.

<fs device="/dev/VolGroup01/LogVol01" force_fsck="0" force_unmount="1"
fsid="95145" fstype="ext3" mountpoint="/mnt/storage/" name="disko" options=""
self_fence="0"/>

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Warning message is printed.

Expected results:

No warning message is printed, as the path is the same.

Additional info:

I'm attaching a small patch that strips out the trailing slash before comparing
the two strings.
Comment 1 Navid Sheikhol-Eslami 2006-11-24 06:57:25 EST
Created attachment 142058 [details]
patch that makes the path comparison a bit smarter
Comment 2 Lon Hohberger 2006-12-13 13:29:03 EST
Patch in CVS.

Note You need to log in before you can comment on or make changes to this bug.